%==========================================================================
% Table 2 / Numerical example
% see optimum.m for details
%==========================================================================

param(1)=0.0001;   %pi;
param(2)=0.01;     %p1;
param(3)=0.25;     %ci;
param(4)=20;        %cnc;
param(5)=100;      %ca;
param(6)=2;        %cs_nc;
param(7)=2.5;      %cs_c;
param(8)=0.01;     %alpha;
param(9)=0.01;     %beta;
param(10)=1e-6;    %deltamax;
param(11)=0.03;    %phimax;

% Model 1 = Exponential
[mo,ro,Co,phio,chainlog1]=optimum(param,[25 25],[3 3],[0 100 0],1);

% Model 2 = Linear
[mo,ro,Co,phio,chainlog2]=optimum(param,[25 25],[3 3],[0 100 0],2);

% Model 3 = Constant
[mo,ro,Co,phio,chainlog3]=optimum(param,[25 25],[3 3],[0 100 0],3);

results=[chainlog1(1:19,1:3) chainlog2(1:19,2:3) chainlog3(1:19,2:3)];
results=[results;chainlog1(99,1:3) chainlog2(99,2:3) chainlog3(99,2:3)];

results